from django.conf.urls import url
from careermapblock.views import (
    edit_questions, add_question, edit_question, delete_question,
    reorder_questions, edit_layers, add_layer, edit_layer,
    delete_layer, reorder_basemaps, edit_counties, add_county,
    edit_county, delete_county, reorder_counties, edit_county_stat_type,
    delete_county_stat_type, reorder_layers, edit_basemaps, add_basemap,
    edit_basemap, delete_basemap, edit_county_stat_types,
    add_county_stat_type, reorder_county_stat_types,
)

urlpatterns = [
    url(r'^edit_questions/(?P<id>\d+)/$', edit_questions, {},
        'edit-careermap-questions'),
    url(r'^edit_questions/(?P<id>\d+)/add_question/$', add_question, {},
        'edit-careermap-add-question'),
    url(r'^edit_question/(?P<id>\d+)/$', edit_question, {},
        'edit-careermap-question'),
    url(r'^delete_question/(?P<id>\d+)/$', delete_question, {},
        'delete-careermap-question'),
    url(r'^reorder_questions/(?P<id>\d+)/$', reorder_questions, {},
        'reorder-careermap-questions'),

    url(r'^edit_layers/(?P<id>\d+)/$', edit_layers, {},
        'edit-careermap-layers'),
    url(r'^edit_layers/(?P<id>\d+)/add_layer/$', add_layer, {},
        'edit-careermap-add-layer'),
    url(r'^edit_layer/(?P<id>\d+)/$', edit_layer, {},
        'edit-careermap-layer'),
    url(r'^delete_layer/(?P<id>\d+)/$', delete_layer, {},
        'delete-careermap-layer'),
    url(r'^reorder_layers/(?P<id>\d+)/$', reorder_layers, {},
        'reorder-careermap-layers'),

    url(r'^edit_basemaps/(?P<id>\d+)/$', edit_basemaps, {},
        'edit-careermap-basemaps'),
    url(r'^edit_basemaps/(?P<id>\d+)/add_basemap/$', add_basemap, {},
        'edit-careermap-add-basemap'),
    url(r'^edit_basemap/(?P<id>\d+)/$', edit_basemap, {},
        'edit-careermap-basemap'),
    url(r'^delete_basemap/(?P<id>\d+)/$', delete_basemap, {},
        'delete-careermap-basemap'),
    url(r'^reorder_basemaps/(?P<id>\d+)/$', reorder_basemaps, {},
        'reorder-careermap-basemaps'),

    url(r'^edit_counties/(?P<id>\d+)/$', edit_counties, {},
        'edit-careermap-counties'),
    url(r'^edit_counties/(?P<id>\d+)/add_county/$', add_county, {},
        'edit-careermap-add-county'),
    url(r'^edit_county/(?P<id>\d+)/$', edit_county, {},
        'edit-careermap-county'),
    url(r'^delete_county/(?P<id>\d+)/$', delete_county, {},
        'delete-careermap-county'),
    url(r'^reorder_counties/(?P<id>\d+)/$', reorder_counties, {},
        'reorder-careermap-counties'),

    url(r'^edit_county_stat_types/(?P<id>\d+)/$', edit_county_stat_types, {},
        'edit-careermap-county_stat_types'),
    url(r'^edit_county_stat_types/(?P<id>\d+)/add_county_stat_type/$',
        add_county_stat_type, {}, 'edit-careermap-add-county_stat_type'),
    url(r'^edit_county_stat_type/(?P<id>\d+)/$', edit_county_stat_type, {},
        'edit-careermap-county_stat_type'),
    url(r'^delete_county_stat_type/(?P<id>\d+)/$', delete_county_stat_type, {},
        'delete-careermap-county_stat_type'),
    url(r'^reorder_county_stat_types/(?P<id>\d+)/$',
        reorder_county_stat_types, {}, 'reorder-careermap-county_stat_types'),
]
